#include <bits/stdc++.h>
using namespace std;
#define mil 1000000
void K3(int n,int x){
    int dodaj=n-3;
cout <<1<<" ";

}
int main(){
       ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
int n,k,x;
cin >>n>>k>>x;
cout <<-1<<endl;
//if(k==3)K3(n,x);
}